package main

import (
	"flag"
	"fmt"
	"os"
)

func main() {
	var configFlag string
	flag.StringVar(&configFlag, "c", "", "path to tasks.json")
	flag.Parse()

	fmt.Println("Hello World")
	fmt.Printf("Reading JSON file: %s\n", configFlag)
	config, err := LoadConfig(configFlag)
	if err != nil {
		fmt.Fprintf(os.Stderr, "Cannot load config file: %s\n\t%s\n", configFlag, err)
	}
	fmt.Println(config)

}
